<div class="container">
    <div class="row">
        <div class="col-md-3 ">
            <div class="list-group ">
                <a href="/profile" class="list-group-item list-group-item-action">Profile</a>
                <a href="/orders" class="list-group-item list-group-item-action">Porosite e Mia</a>
                <a href="/allusers" class="list-group-item list-group-item-action">Te gjithe Perdoruesit</a>
                <a href="/myproducts" class="list-group-item list-group-item-action active">Produktet e mia</a>
                <a href="/logout" class="list-group-item list-group-item-action">Logout</a>
            </div>
        </div>
        <div class="col-md-9">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12">
                            <h4>Produktet e mia</h4>
                            <hr>
                        </div>
                    </div>
                    <div class="row">
                        <div class="btn-toolbar">
                            <button class="btn btn-primary"  (click)="open(addProduct, 0, 'add')">Shto Produkt</button>
                        </div>
                        <div class="well">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>Foto</th>
                                        <th>Emri</th>
                                        <th>Kategori</th>
                                        <th>Cmimi</th>
                                        <th style="width: 36px;"></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let item of products | paginate: { itemsPerPage: 12, currentPage: p }">
                                        <td><img src="https://picsum.photos/id/{{item.id}}/50/50" alt=""></td>
                                        <td>{{item.name}}</td>
                                        <td>{{item.category}}</td>
                                        <td>{{item.price}}</td>
                                        <td>
                                            <button (click)="open(showProduct, item.id, 'show')"><i
                                                    class="icon-pencil"></i>Show</button>
                                            <button (click)="open(editProduct, item.id, 'edit')"><i
                                                    class="icon-remove"></i>Edit</button>
                                            <button (click)="open(deleteProduct, item.id, 'delete')"><i
                                                    class="icon-remove"></i>Delete</button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        <pagination-controls (pageChange)="p = $event"></pagination-controls>

                        <ng-template #showProduct let-modal>
                            <div class="modal-header">
                                <h5 class="modal-title" id="showModalTitle">Shiko Produkt</h5>
                                <button type="button" class="btn-close" aria-label="Close"
                                    (click)="modal.dismiss()"></button>
                            </div>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-9">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="row">
                                                            <div class="col-3 text-end">Emri</div>
                                                            <div class="col-9" id="showModalInfoName"></div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-12">
                                                        <div class="row">
                                                            <div class="col-3 text-end">Pershkrimi</div>
                                                            <div class="col-9" id="showModalInfoDesc"></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="row">
                                                    <div class="col-12" id="showModalInfoImage"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-9">
                                        <div class="row">
                                            <div class="col-3 text-end">Kategoria</div>
                                            <div class="col-9" id="showModalInfoCategory"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-9">
                                        <div class="row">
                                            <div class="col-3 text-end">Cmimi</div>
                                            <div class="col-9" id="showModalInfoPrice"></div>
                                        </div>
                                    </div>
                                    <div class="col-md-9">
                                        <div class="row">
                                            <div class="col-3 text-end">Stoku</div>
                                            <div class="col-9" id="showModalInfoStock"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Close</button>
                            </div>
                        </ng-template>
                        <ng-template #addProduct let-modal>
                            <div class="modal-header">
                                <h5 class="modal-title" id="showModalTitle">Ndrysho <span></span></h5>
                                <button type="button" class="btn-close" aria-label="Close"
                                    (click)="modal.dismiss()"></button>
                            </div>
                            <form [formGroup]="addproductForm" (ngSubmit)="addProductDb(addproductForm.value)">
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group row">
                                                <div class="col-3 text-end">Emri</div>
                                                <div class="col-9">
                                                    <input id="name" name="name" placeholder="Emri"
                                                        class="form-control here" required="required" type="text"
                                                        formControlName="name">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Pershkrimi</div>
                                                <div class="col-9">
                                                        <textarea name="description" id="description" cols="3" rows="3" 
                                                        class="form-control here" placeholder="Pershkrimi" formControlName="description"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Kategoria</div>
                                                <div class="col-9">
                                                    <select class="form-select" name="categoryId" id="categoryId" formControlName="categoryId">
                                                        <option selected>Zgjidh Kategorine</option>
                                                        <option value="1">Elektronike</option>
                                                        <option value="2">Makina & Motorra</option>
                                                        <option value="3">Libra</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Cmimi</div>
                                                <div class="col-9">
                                                    <input id="price" name="price" placeholder="Cmimi"
                                                        class="form-control here" type="number" formControlName="price">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Stoku</div>
                                                <div class="col-9">
                                                    <input id="stock" name="stock" placeholder="Stoku"
                                                    class="form-control here" type="number" min="0" formControlName="stock">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary"
                                        (click)="modal.dismiss()">Close</button>
                                    <button name="submit" type="submit" class="btn btn-primary">Ruaj</button>
                                </div>
                            </form>
                        </ng-template>
                        <ng-template #deleteProduct let-modal>
                            <div class="modal-header">
                                <h5 class="modal-title" id="showModalTitle">Fshi <span></span></h5>
                                <button type="button" class="btn-close" aria-label="Close"
                                    (click)="modal.dismiss()"></button>
                            </div>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">Jeni te sigurte qe doni ta fshini kete produkt?</div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary"
                                    (click)="modal.dismiss()">Close</button>
                                <button name="deleteProduct" id="deleteProduct" type="button" data-id="" (click)="delteProduct()" class="btn btn-danger">Fshi</button>
                            </div>
                        </ng-template>
                        <ng-template #editProduct let-modal>
                            <div class="modal-header">
                                <h5 class="modal-title" id="showModalTitle">Fshi <span></span></h5>
                                <button type="button" class="btn-close" aria-label="Close"
                                    (click)="modal.dismiss()"></button>
                            </div>
                            <form [formGroup]="editproductForm" (ngSubmit)="updateProduct(editproductForm.value)">
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group row">
                                                <div class="col-3 text-end">Emri</div>
                                                <div class="col-9">
                                                    <input id="name" name="name" placeholder="Emri"
                                                        class="form-control here" required="required" type="text"
                                                        formControlName="name">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Pershkrimi</div>
                                                <div class="col-9">
                                                        <textarea name="description" id="description" cols="3" rows="3" 
                                                        class="form-control here" placeholder="Pershkrimi" formControlName="description"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Kategoria</div>
                                                <div class="col-9">
                                                    <select class="form-select" name="categoryId" id="categoryId" formControlName="categoryId">
                                                        <option selected>Zgjidh Kategorine</option>
                                                        <option value="1">Elektronike</option>
                                                        <option value="2">Makina & Motorra</option>
                                                        <option value="3">Libra</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Cmimi</div>
                                                <div class="col-9">
                                                    <input id="price" name="price" placeholder="Cmimi"
                                                        class="form-control here" type="number" formControlName="price">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group row mt-3">
                                                <div class="col-3 text-end">Stoku</div>
                                                <div class="col-9">
                                                    <input id="stock" name="stock" placeholder="Stoku"
                                                    class="form-control here" type="number" min="0" formControlName="stock">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary"
                                        (click)="modal.dismiss()">Close</button>
                                    <button name="submit" type="submit" class="btn btn-primary">Ruaj</button>
                                </div>
                            </form>
                        </ng-template>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>